package com.company.testeformato.app;

import com.company.testeformato.entity.Tab001;
import io.jmix.core.DataManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class CargaTabBean {

    @Autowired
    private DataManager dataManager;

    public Tab001 consultaTab(Integer vCodigo) throws Exception{

        Tab001 retorno ;
        try{

            retorno = dataManager.load(Tab001.class)
                    .query("e.codigo = :codigo")
                    .parameter("codigo",vCodigo)
                    .fetchPlan("tab001-geral")
                    .one();


        }
        catch (Exception ee){
            throw  new Exception("Registro não localizado");
        }
        return  retorno;
    }
}