package com.company.testeformato.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.util.UUID;

@JmixEntity
@Table(name = "TAB002", indexes = {
        @Index(name = "IDX_TAB002_TAB001", columnList = "TAB001_ID")
})
@Entity
public class Tab002 {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @JoinColumn(name = "TAB001_ID", nullable = false)
    @NotNull
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    private Tab001 tab001;

    @Column(name = "DESCRICAO", nullable = false)
    @NotNull
    private String descricao;

    @Column(name = "QUANTIDADE", nullable = false)
    @NotNull
    private Double quantidade;

    public Double getQuantidade() {
        return quantidade;
    }

    public void setQuantidade(Double quantidade) {
        this.quantidade = quantidade;
    }

    public String getDescricao() {
        return descricao;
    }

    public void setDescricao(String descricao) {
        this.descricao = descricao;
    }

    public Tab001 getTab001() {
        return tab001;
    }

    public void setTab001(Tab001 tab001) {
        this.tab001 = tab001;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    @InstanceName
    @DependsOnProperties({"descricao"})
    public String getInstanceName() {
        return String.format("%s", descricao);
    }
}