package com.company.testeformato.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.*;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.UUID;

@JmixEntity
@Table(name = "TAB001")
@Entity
public class Tab001 {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @NumberFormat(pattern = "###,##0", decimalSeparator = ".", groupingSeparator = ",")
    @NotNull
    @Column(name = "CODIGO", nullable = false)
    private Integer codigo;

    @Column(name = "NOME", nullable = false)
    @NotNull
    private String nome;

    @Column(name = "VALOR", nullable = false)
    @NotNull
    private Double valor;

    @Composition
    @OneToMany(mappedBy = "tab001")
    private List<Tab002> tab002;

    public List<Tab002> getTab002() {
        return tab002;
    }

    public void setTab002(List<Tab002> tab002) {
        this.tab002 = tab002;
    }

    public void setCodigo(Integer codigo) {
        this.codigo = codigo;
    }

    public Integer getCodigo() {
        return codigo;
    }

    public Double getValor() {
        return valor;
    }

    public void setValor(Double valor) {
        this.valor = valor;
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    @InstanceName
    @DependsOnProperties({"nome"})
    public String getInstanceName() {
        return String.format("%s", nome);
    }
}